### Constructor

# Gimp Choice new_with_values

since: 3.0

#### Declaration [src]

    GimpChoice*
    gimp_choice_new_with_values (
      const gchar* nick,
      gint id,
      const gchar* label,
      const gchar* help,
      ...
    )

#### Description

No description available.

Available since: 3.0

This constructor is not directly available to language bindings.

#### Parameters

`nick`

  Type: `const gchar*`

  The first value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`id`

  Type: `gint`

  Integer ID for `nick`.

`label`

  Type: `const gchar*`

  The label of `nick`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`help`

  Type: `const gchar*`

  Longer help text for `nick`. …: more triplets of string to pre-fill the created %GimpChoice.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  No description available.

#### Return value

Type: `GimpChoice`

A `GimpChoice`.

The caller of the function takes ownership of the data, and is responsible for freeing it.